Last Comment Bug 805266 - Avoid extra make pass in mime/public
: Avoid extra make pass in mime/public
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 16:45 PDT by neil@parkwaycc.co.uk
Modified: 2012-11-29 02:18 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (801 bytes, patch)
2012-10-24 16:47 PDT, neil@parkwaycc.co.uk
sid.bugzilla: review+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2012-10-24 16:45:01 PDT
nsIMsgQuoteListener inherits from nsIMimeStreamConverterListener. When we parallelised the build we added an extra pass to export nsIMimeStreamConverterListener before we built in compose. However these days we can fix the problem by setting XPIDL_FLAGS instead.
Comment 1 neil@parkwaycc.co.uk 2012-10-24 16:47:40 PDT
Created attachment 674897 [details] [diff] [review]
Proposed patch
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2012-10-24 21:40:49 PDT
Comment on attachment 674897 [details] [diff] [review]
Proposed patch

Makes sense. r+ assuming it builds.
Comment 3 Mozilla RelEng Bot 2012-10-25 19:15:34 PDT
Try run for 032cdf627968 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=032cdf627968
Results (out of 9 total builds):
    success: 7
    failure: 2
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/neil@parkwaycc.co.uk-032cdf627968
Comment 4 neil@parkwaycc.co.uk 2012-10-26 00:34:51 PDT
(In reply to Mozilla RelEng Bot from comment #3)
> Try run for 032cdf627968 is complete.
> Detailed breakdown of the results available here:
>     https://tbpl.mozilla.org/?tree=Try&rev=032cdf627968
Oops ;-)

> Results (out of 9 total builds):
>     success: 7
>     failure: 2
Bah, stupid build system, runs tests even though I didn't want any, then reports test failure as red... the other build failure was a missing source file which was weird, but unrelated.
Comment 5 neil@parkwaycc.co.uk 2012-10-26 11:38:02 PDT
Pushed comm-central changeset 77155457d4b0.

Note You need to log in before you can comment on or make changes to this bug.